﻿@model Tuple<List<ItemMasterView>, List<ItemGroupSAP>, List<BusinessPartnerView>>
@{
    bool _View = ((UserView)Session["UserLogin"]).ListUserPageAction.Where(c => c.PageInternalKey == Enums.Pages.SalesOrder.ToDescriptionString() && c.InternalKey == Enums.Actions.View.ToDescriptionString()).FirstOrDefault() != null ? true : false;
}

<div class="panel panel-default">
    <div class="panel-body">
        <div>
            <div>
                <div class="table-responsive responsive table_cart">
                    <table class="table table-striped table-hover display" cellspacing="0" id="quickorderjstable">
                        <thead>
                            <tr>
                                <th class="id">@QuickOrder.Picture</th>
                                <th class="id">@QuickOrder.IC</th>
                                <th class="name">@QuickOrder.TID</th>
                                <th class="description" title="non-sortable">@QuickOrder.IPR</th>
                                @if (Model.Item1.Count > 0)
                                {
                                    if (Model.Item1.FirstOrDefault().CostPriceList != null)
                                    {
                                        <th class="description" title="non-sortable">Cost Price</th> 
                                    }
                                }
                                <th class="field5">ATP</th>
                                <th class="field5">@QuickOrder.IS</th>
                                <th class="field6">@QuickOrder.QTY</th>
                                <th class="field6">@QuickOrder.IIG</th>
                                <th class="field6">@QuickOrder.BPN</th>
                                <th class="field7">@QuickOrder.ATO</th>
                                <th class="field9">Item Master</th>
                                @if (Model.Item1.Count > 0)
                                {
                                    if (Model.Item1.FirstOrDefault().MappedUdf.Count > 0)
                                    {
                                        foreach (var DictRow in Model.Item1.FirstOrDefault().MappedUdf)
                                        {
                                            <th>@DictRow.UDFDesc</th>
                                        }
                                    }
                                }
                            </tr>
                        </thead>
                        <tbody>
                            @foreach (ItemMasterView item in Model.Item1)
                            {
                                UnitOfMeasure mDefaultUOM = item.UnitOfMeasureList.Where(k => k.LineNum == 1).FirstOrDefault();
                                ItemPrices mItemPrice = item.ItemPrices.Where(j => j.UOMCode == mDefaultUOM.UomEntry.ToString()).FirstOrDefault();
                                <tr id="tr_@item.ItemCode">
                                    @if (!string.IsNullOrEmpty(item.PicturName))
                                    {
                                        <td><a href="../../images/@item.PicturName" class="thumb"><img width="80px" src="../../images/@item.PicturName" /></a></td>
                                    }
                                    else
                                    {
                                        <td><a href="~/Content/img/noimage.gif" class="thumb"><img width="80px" src="~/Content/img/noimage.gif" /></a></td>
                                    }
                                    <td class="text-center">
                                        @item.ItemCode
                                    </td>
                                    <td class="text-center">@item.ItemName</td>
                                    <td class="text-center">@(mItemPrice != null ? mItemPrice.Currency + @Math.Round((Double)mItemPrice.Price, 2) : "")</td>
                                    @if (item.CostPriceList != null)
                                    {
                                        <td class="text-center">@((item.CostPrice != null) ? item.CostPriceCurrency + " " + Math.Round((Double)item.CostPrice, 2).ToString() : "")</td>
                                    }
                                    <td class="text-center"><a onclick="GetStock('@item.ItemCode')" class="btn btn-default btn-lg">ATP</a></td>
                                    <td class="text-center">@(item.Stock != null ? @Math.Round((Double)item.Stock.Available, 0).ToString() : "")</td>
                                    <td class="text-center">
                                        <input id="qty_@item.ItemCode" type="number" min="1" class="form-control" value="1" aria-invalid="false" style="width:60px;">
                                    </td>
                                    <td class="text-center">@Model.Item2.Where(c => c.ItmsGrpCod == item.ItmsGrpCod).FirstOrDefault().ItmsGrpNam</td>
                                    <td class="text-center">@(!string.IsNullOrEmpty(item.CardCode) ? Model.Item3.Where(c => c.CardCode == item.CardCode).FirstOrDefault().CardName : "")</td>
                                    <td class="text-center">
                                        <button onclick="addtoCart('@item.ItemCode')" class="btn btn-success btn-sm">
                                            <span class="fa fa-plus-circle"></span>
                                            @QuickOrder.ATO
                                        </button>
                                    </td>
                                    <td class="text-center">
                                        @if (_View)
                                        {
                                            <a target="_blank" href="/MasterData/MasterData/ActionItemMaster?pActionItemMaster=View&pItemCode=@item.ItemCode" class="btn btn-default btn-lg">
                                                <span class="glyphicon glyphicon-eye-open"></span>
                                            </a>
                                        }
                                    </td>
                                    @if (item.MappedUdf.Count > 0)
                                    {
                                        foreach (var DictRow in item.MappedUdf)
                                        {
                                            <td class="text-center">
                                                @if (DictRow.ListUFD1.Count > 0)
                                                {
                                                    foreach (var interna in DictRow.ListUFD1)
                                                    {
                                                        if (interna.FldValue == DictRow.Value)
                                                        {
                                                            <span>@interna.Descr</span>
                                                        }
                                                    }
                                                }
                                                else
                                                {
                                                    <span>@DictRow.Value</span>
                                                }
                                            </td>
                                        }
                                    }
                                </tr>
                            }
                        </tbody>
                    </table>
                    <script type="text/javascript">
                        $(document).ready(function () {
                            $('#quickorderjstable').DataTable({
                                responsive: true,
                                colReorder: true,
                                "pagingType": "full_numbers",
                                "lengthMenu": [[10, 25, 50, -1], ["@Shared.S10PP", "@Shared.S20PP", "@Shared.S50PP", "@Shared.All"]],
                                "oLanguage":
                                    {
                                        "sSearch": "",
                                        "sLengthMenu": "\_MENU_"
                                    },
                                dom: 'Blfrtip',
                                buttons: [
                                    'excel', 'pdf', 'print'
                                ]
                            });
                            $('div.dataTables_filter input').addClass('form-control search-query input-sm');
                            $('div.dataTables_filter input').attr('placeholder', '@SaleOrders.Search');
                            $('div.dataTables_filter').attr('style', 'float:left !important');
                            $('div.dataTables_length select').addClass('form-control input-sm pull-right');
                            $('div.dataTables_length').attr('style', 'float:right !important');

                           
                        });
                        function GetStock(item) {
                            $.ajax({
                                url: '/Sales/SalesOrder/GetItemStock',
                                contextType: 'application/html;charset=utf-8',
                                data: { ItemCode: item },
                                async: true,
                                type: 'POST',
                                dataType: 'html'
                            }).done(function (data) {
                                alertify.alert(data);
                            });
                        }
                    </script>

                    <script>
                        $('a.thumb').click(function (event) {
                            event.preventDefault();
                            var content = $('#ImgModalBody');
                            content.empty();
                            content.html($(this).html());
                            $(".modal-profile").modal({ show: true });
                        });
                    </script>

                    <!-- .modal-profile -->
                    <div class="modal fade modal-profile zomimage" tabindex="-1" role="dialog" aria-labelledby="modalProfile" aria-hidden="true">
                        <div class="modal-dialog modal-lg">
                            <div class="modal-content">
                                <div class="modal-header">
                                    Images
                                    <button class="close" type="button" data-dismiss="modal">×</button>
                                </div>
                                <div class="modal-body" id="ImgModalBody">
                                </div>
                                <div class="modal-footer">
                                    <button class="btn btn-default" data-dismiss="modal">Close</button>
                                </div>
                            </div>
                        </div>
                    </div>
                    <!-- //.modal-profile -->
                </div>
            </div>
        </div>
    </div>
</div>


